<?php
if(!isset($_SESSION)) {
    session_start();
}

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && Varios::hasModuleAccess(12)
	&& isset($_POST['page'])
	&& isset($_POST['quantity'])
) {
  $page               = filter_var( $_POST['page'] , FILTER_SANITIZE_NUMBER_INT);
  $quantity           = filter_var( $_POST['quantity'] , FILTER_SANITIZE_NUMBER_INT);
  $fechaInicio        = null;
  $fechaFin           = null;
  $cliente            = null;
  $proveedorSils      = null;
  $proveedorCliente   = null;
  $bodega             = null;
  $puerta             = null;
  $razonSocial        = null;
  $numero             = null;
  $estado             = null;

  
  if( isset($_SESSION['filtroReporteReservasFechaInicio']) 
    && strlen($_SESSION['filtroReporteReservasFechaInicio']) > 0
  ) {
    $fechaInicio     = filter_var( $_SESSION['filtroReporteReservasFechaInicio'] , FILTER_SANITIZE_STRING);
    $fechaInicio     = Varios::formatFechaSQL2($fechaInicio);
  }
  if( isset($_SESSION['filtroReporteReservasFechaFin']) 
    && strlen($_SESSION['filtroReporteReservasFechaFin']) > 0
  ) {
    $fechaFin     = filter_var( $_SESSION['filtroReporteReservasFechaFin'] , FILTER_SANITIZE_STRING);
    $fechaFin     = Varios::formatFechaSQL2($fechaFin);
  }
  if( isset($_SESSION['filtroReporteReservasCliente']) 
  && strlen($_SESSION['filtroReporteReservasCliente']) > 0
  ) {
    $cliente     = filter_var( $_SESSION['filtroReporteReservasCliente'] , FILTER_SANITIZE_NUMBER_INT);
  }
  if( isset($_SESSION['filtroReporteReservasProveedorSils']) 
  && strlen($_SESSION['filtroReporteReservasProveedorSils']) > 0
  ) {
    $proveedorSils     = filter_var( $_SESSION['filtroReporteReservasProveedorSils'] , FILTER_SANITIZE_NUMBER_INT);
  }
  if( isset($_SESSION['filtroReporteReservasProveedorCliente']) 
  && strlen($_SESSION['filtroReporteReservasProveedorCliente']) > 0
  ) {
    $proveedorCliente     = filter_var( $_SESSION['filtroReporteReservasProveedorCliente'] , FILTER_SANITIZE_NUMBER_INT);
  }
  if( isset($_SESSION['filtroReporteReservasBodega']) 
  && strlen($_SESSION['filtroReporteReservasBodega']) > 0
  ) {
    $bodega     = filter_var( $_SESSION['filtroReporteReservasBodega'] , FILTER_SANITIZE_NUMBER_INT);
  }
  if( isset($_SESSION['filtroReporteReservasPuerta']) 
  && strlen($_SESSION['filtroReporteReservasPuerta']) > 0
  ) {
    $puerta     = filter_var( $_SESSION['filtroReporteReservasPuerta'] , FILTER_SANITIZE_NUMBER_INT);
  }
  if( isset($_SESSION['filtroReporteReservasRazonSocial']) 
  && strlen($_SESSION['filtroReporteReservasRazonSocial']) > 0
  ) {
    $razonSocial     = filter_var( $_SESSION['filtroReporteReservasRazonSocial'] , FILTER_SANITIZE_STRING);
  }
  if( isset($_SESSION['filtroReporteReservasNumero']) 
  && strlen($_SESSION['filtroReporteReservasNumero']) > 0
  ) {
    $numero = filter_var( $_SESSION['filtroReporteReservasNumero'] , FILTER_SANITIZE_STRING);
  }  
  if( isset($_SESSION['filtroReporteReservasEstado']) 
    && strlen($_SESSION['filtroReporteReservasEstado']) > 0
  ) {
    $estado     = filter_var( $_SESSION['filtroReporteReservasEstado'] , FILTER_SANITIZE_NUMBER_INT);
  }  

  require_once($_SERVER['DOCUMENT_ROOT'].'/clases/clase_paginador.php');
  require_once($_SERVER['DOCUMENT_ROOT'].'/clases/gestionReserva.Class.php');
  require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Reporte.Class.php');
  $reserva_obj  = new gestionReserva(null);
  $reporteReserva_obj  = new Reporte(null);
  $reserva_inf1 = $reserva_obj->informacionReserva(null, null, 1);
  $total_registros  = count($reserva_inf1);
  $reserva_inf2 = $reporteReserva_obj->informacionReporteReserva($fechaInicio , $fechaFin , $cliente, $proveedorSils, $proveedorCliente, $bodega, $puerta, $razonSocial, $numero, $estado, 0, 1000);
  //$reserva_inf2 = $reserva_obj->informacionReservaLimit(null, null, null, 104001, null, 0, 1000);
  $numeroRegistros = count($reserva_inf2);

	$pagina = $page;

	if(isset($pagina)){
		$numeroPagina = $pagina;
	} else {
		$numeroPagina = 10;
	}

	$registrosPagina = $quantity;
	$ultimaPagina    = ceil($numeroRegistros/$registrosPagina);
	$numeroPagina    = (int)$numeroPagina;

	if($numeroPagina > $ultimaPagina){
		$numeroPagina = $ultimaPagina;
	}
	if($numeroPagina < 1){
		$numeroPagina = 1;
	}
	$desde 	  = ($numeroPagina - 1) * $registrosPagina;
	$cantidad = $registrosPagina;


	if($total_registros == $numeroRegistros) {
		$label_cantidad = 'Cantidad Total de clientes: '.$numeroRegistros;
	} else {
		$label_cantidad = 'Clientes filtrados '.$numeroRegistros.' de '.$total_registros;
	}
  // DELETE: COMENTARIO
  //echo $rut.', '.$tipo.', '.$nombre.', '.$estado.', '.$desde.', '.$cantidad;
  //$reserva_inf2 = $reserva_obj->informacionReservaLimit($estado, $dia, $profesional, $estado, $desde, $cantidad);
  //$reserva_inf2 = $reserva_obj->informacionReservaLimit(null, null, null, 104001, null, 0, 1000);

  $reserva_inf2 = $reporteReserva_obj->informacionReporteReserva($fechaInicio , $fechaFin , $cliente, $proveedorSils, $proveedorCliente, $bodega, $puerta, $razonSocial, $numero, $estado, 0, 1000);
	$paginador = new Paginador('cargarInformacion', $numeroPagina, $registrosPagina, $numeroRegistros);?>
  <table style="width: 100%;">
		<tr>
			<td align="left" style="width: 50%;">
				<label class="label_paginador"><?php echo $label_cantidad;?></label>
			</td>
			<td align="right" style="width: 50%;">
				<label><?php $paginador->muestraPaginador();?></label>
			</td>
		</tr>
	</table>
  <div class="col-xs-12 table-responsive">
  <table id="datatable" class="table table-striped table-bordered">
    <thead>
      <tr>
        <th class="formato_izquierda" width="10%">Fecha</th>
        <th class="formato_izquierda" width="20%">Razón Social<br/>Carga para</th>
        <th class="formato_izquierda" width="10%">Número</th>
        <th class="formato_izquierda" width="20%">Bodega<br/>Puerta</th>
        <th class="formato_izquierda" width="10%">Horario</th>
        <th class="formato_izquierda" width="20%">Persona encargada de la entrega</th>
        <th class="formato_centro" width="10%">Estado</th>
      </tr>
    </thead>
    <tbody><?php
      foreach ($reserva_inf2 as $value) {?>
        <tr>
          <td><?php echo $value['rese_fecha_formato'];?></td>
          <td><?php echo $value['pers_razon_social'].'<br/>'.$value['cliente'];?></td>
          <td><?php echo $value['res_tipo_orden'].' '.$value['rese_numero'];?></td>
          <td><?php echo $value['bodega_descripcion'].'<br/>'.$value['puer_descripcion'];?></td>
          <td><?php echo $value['res_bloq_inicio'].' - '.$value['res_bloq_fin'];?></td>
          <td><?php echo 'Rut: '.$value['reen_rut'].'<br/> Nombre: '.$value['reen_nombre'];?></td>
          <td><?php echo $value['rese_estado'];?></td>
        </tr><?php
      }?>
    </tbody>
  </table>
  </div>
    <?php
} else {
  echo 'No: ';
  print_r(getdate());
}
?>

